import request from '@/utils/request'


/***************产品管理 */
// 查询产品信息列表
export function listProduction(query) {
  return request({
    url: '/casm/production/list',
    method: 'get',
    params: query
  })
}

// 查询产品管理信息详情列表
export function selectProduction(code) {
  return request({
    url: '/casm/production/selectProduction/' + code,
    method: 'get'
  })
}

//获取二维码
export function getQRCode(code) {
  return request({
    url: '/casm/production/generateQRCode',
    method: 'get',
    params: code
  })
}

// 查询产品信息详细
export function getProduction(code) {
  return request({
    url: '/casm/production/' + code,
    method: 'get'
  })
}

// 新增产品信息
export function addProduction(data) {
  return request({
    url: '/casm/production',
    method: 'post',
    data: data
  })
}

// 修改产品信息
export function updateProduction(data) {
  return request({
    url: '/casm/production',
    method: 'put',
    data: data
  })
}

// 删除产品信息
export function delProduction(code) {
  return request({
    url: '/casm/production/' + code,
    method: 'delete'
  })
}







/**针数管理 */
// 查询针(底线/面线)/张力列表
export function listProductionLineRelation(query) {
  return request({
    url: '/casm/productionLineRelation/list',
    method: 'get',
    params: query
  })
}

// 查询针(底线/面线)/张力详细
export function getProductionLineRelation(id) {
  return request({
    url: '/casm/productionLineRelation/' + id,
    method: 'get'
  })
}

// 新增针(底线/面线)/张力
export function addProductionLineRelation(data) {
  return request({
    url: '/casm/productionLineRelation',
    method: 'post',
    data: data
  })
}

// 修改针(底线/面线)/张力
export function updateProductionLineRelation(data) {
  return request({
    url: '/casm/productionLineRelation',
    method: 'put',
    data: data
  })
}

// 删除针(底线/面线)/张力
export function delProductionLineRelation(id) {
  return request({
    url: '/casm/productionLineRelation/' + id,
    method: 'delete'
  })
}

/**加工次数管理 */

// 查询缝纫/标签列表
export function listProcedure(query) {
  return request({
    url: '/casm/procedure/list',
    method: 'get',
    params: query
  })
}

// 查询缝纫/标签详细
export function getProcedure(id) {
  return request({
    url: '/casm/procedure/' + id,
    method: 'get'
  })
}

// 新增缝纫/标签
export function addProcedure(data) {
  return request({
    url: '/casm/procedure',
    method: 'post',
    data: data
  })
}

// 修改缝纫/标签
export function updateProcedure(data) {
  return request({
    url: '/casm/procedure',
    method: 'put',
    data: data
  })
}

// 删除缝纫/标签
export function delProcedure(id) {
  return request({
    url: '/casm/procedure/' + id,
    method: 'delete'
  })
}

